package com.sygic.sidebar.api;

import com.sygic.sidebar.widgets.Widget;
import com.sygic.sidebar.api.ISidebarActionCallback;

interface ISidebarService {
	
	void deinit();
	boolean checkLicense(String licKey);
	boolean isNaviRunning();
	void show(boolean show);
	com.sygic.sidebar.widgets.Widget[] getWidgets();
	int setWidget(int widgetNo, in com.sygic.sidebar.widgets.Widget widget);
	int updateWidget(in com.sygic.sidebar.widgets.Widget widget);
	void registerSidebarActionCallback(ISidebarActionCallback callback);
	void addLogo(String path, int x, int y, int width, int height);
	void removeLogos();

}